Qt API | Qtopia API | Qtopia Documentation |

# CategoryGroup Class Reference

The CategoryGroup class is a group of categories. More...

`#include <qtopia/categories.h>`

List of all member functions.

## Public Members

- bool contains ( int uid ) const
- bool contains ( const QString & label ) const
- const QString & label ( int uid ) const
- int id ( const QString & label ) const
- QStringList labels () const
- QStringList labels ( const QArray<int> & catids ) const
- const QMap<int, QString> & idMap () const

## Detailed Description

The CategoryGroup class is a group of categories.

CategoryGroup is a group of categories that is associated with an application or global set. Mainly it defines a map of ids to category labels and category labels to ids. Lookups can be done with labels or unique idenifiers.

This is mainly an internal class used by Categories. Categories does return this class in it's Categories::appGroupMap() and Categories::globalGroup().

Warning: Categories API will likely change for Qtopia 2.

See also Qtopia Desktop Classes and Qtopia Classes.

## Member Function Documentation

### bool CategoryGroup::contains ( int uid ) const

Returns TRUE if uid is stored in this group, FALSE if not.

### bool CategoryGroup::contains ( const QString & label ) const

Returns TRUE if label is stored in this group, FALSE if not.

### int CategoryGroup::id ( const QString & label ) const

Returns the uid associated with label or 0 if not found

### const QMap<int, QString> & CategoryGroup::idMap () const

Returns a const reference to the id to label QMap

### const QString & CategoryGroup::label ( int uid ) const

Returns label associated with the uid or QString::null if not found

### QStringList CategoryGroup::labels () const

Returns a list of all labels stored in this group.

### QStringList CategoryGroup::labels ( const QArray<int> & catids ) const

Returns a list of all labels associated with the catids

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.